LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-03-2009, 12:18 AM   #1
saray
LQ Newbie
 
Registered: May 2009
Posts: 17

Rep: Reputation: 0
installing intel fortran on opensuse 11.0


Hi,

I have downloaded intel fortran compiler from intel website, but during its installation on opensuse 11.0, I receive the following message:

Missing optional pre-requisite
-- cannot determine operating system type
-- system glibc or kernel version not supported or not detectable
-- binutils version not supported or not detectable

And if I ignore the message, the installed compiler could not be executed.

Could anyone help me how to solve this problem?

Regards,
Sara
 
Old 05-03-2009, 05:48 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2023 CentOS7.9 + 50+ other Linux OS, for test only.
Posts: 17,486

Rep: Reputation: 3635Reputation: 3635Reputation: 3635Reputation: 3635Reputation: 3635Reputation: 3635Reputation: 3635Reputation: 3635Reputation: 3635Reputation: 3635Reputation: 3635
Suse 11.0
Assume you got an ifort for your architecture, ia32 or ?
http://software.intel.com/en-us/arti...e-development/

Make sure, that 'compat-libstdc++' is installed.
And installing ia32 to an x86-64 Suse 11.0 will not work,
unless some x86 packages are installed :
http://software.intel.com/en-us/foru...x/topic/56007/

I have no problems installing or running the latest
ia32 version on x86 Suse 11.0 ( x86 computer.)

So which arch' for 1) ifort, 2) Suse 11.0, 3) computer
have you got ?
.....

Last edited by knudfl; 05-03-2009 at 07:40 AM.
 
Old 05-03-2009, 06:28 AM   #3
colucix
LQ Guru
 
Registered: Sep 2003
Location: Bologna
Distribution: CentOS 6.5 OpenSuSE 12.3
Posts: 10,509

Rep: Reputation: 1983Reputation: 1983Reputation: 1983Reputation: 1983Reputation: 1983Reputation: 1983Reputation: 1983Reputation: 1983Reputation: 1983Reputation: 1983Reputation: 1983
Quote:
Originally Posted by saray View Post
And if I ignore the message, the installed compiler could not be executed.
Did it show any error message? If it is simply a problem of pre-requisites you can try to install a previous version of the Intel Fortran. Maybe you don't really need the latest version.

In any case be sure to have version 5 of libstdc++ installed (as knudfl suggested above). Package is compat-libstdc++-5.0.7-121.1 on opensuse 11.0, libstdc++33-3.3.3-7.5 on opensuse 11.1.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem installing alsa on opensuse 10.2 with intel sound card kamransoomro84 Linux - Laptop and Netbook 6 05-02-2007 11:51 AM
Help-Installing a 945GM Intel Graphics Driver on Opensuse 10.2 lordshaneez SUSE / openSUSE 6 02-24-2007 04:56 AM
Gnu Fortran versus Intel Fortran tomatoefish Linux - Software 3 02-20-2006 01:31 PM
how to uninstall the intel fortran compiler 8 ztdep Programming 5 07-22-2005 02:29 AM
Intel Fortran Compiler under KDevelop Ralph Kahel Linux - Software 1 07-21-2005 02:57 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 11:55 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration